View Issue Details

IDProjectCategoryView StatusLast Update
0003826DraftBugpublic2019-02-15 00:20
ReporterbenoitPaillardAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target Version0.18Fixed in Version0.18 
Summary0003826: Draft.BSpline crashing in console mode
DescriptionWhen running the example from the bottom of this page:
https://www.freecadweb.org/wiki/Draft_BSpline/en

You'll get a crash on this version:
OS: Ubuntu 18.04.1 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15806 (Git)
Build type: Release
Branch: master
Hash: 18b5f238ae53e3c19cb6e985f450a098dc0d6d23
Python version: 2.7.15rc1
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)


This was specified on the forum : https://forum.freecadweb.org/viewtopic.php?f=22&t=19199&p=285047#p285047
Steps To ReproduceRun this script in console mode

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

BSpline1 = Draft.makeBSpline([p1, p2, p3], closed=True)
BSpline2 = Draft.makeBSpline([p1, 2*p3, 1.3*p2], closed=True)
BSpline3 = Draft.makeBSpline([1.3*p3, p1, -1.7*p2], closed=True)
Tagsb-splines

Issue History

Date Modified Username Field Change
2019-02-08 23:34 benoitPaillard New Issue
2019-02-08 23:34 benoitPaillard Tag Attached: b-splines
2019-02-10 00:11 Kunda1 Target Version => 0.18
2019-02-15 00:20 yorik Assigned To => yorik
2019-02-15 00:20 yorik Status new => closed
2019-02-15 00:20 yorik Resolution open => fixed
2019-02-15 00:20 yorik Fixed in Version => 0.18
2019-02-15 00:20 yorik Note Added: 0012646